#ifndef DIALOGSTARTUP_H_
#define DIALOGSTARTUP_H_

#include "gvalue.h"
#include "gType.h" 
#include "GraphBase.h"
#include "string.h"
#include "my_string.h"
#include "StaticText.h"
#include "TEdit.h"


//aPanel with Caption, StaticText, Btn, Edit, 
class TDialogStartup{
	private:
		int FontSize;
		int FontHeight;
		int EditMode;
		TBvStyle BevelOuter;
		struct{
			u16 Width;
			unsigned int Color;
		}Border;
	public:
		int GoSkip;
		TStaticText		Caption;
		TEdit			Edit[1];
		
		TRect Bound;
		TRect Content;	
	private:

	public:
		TDialogStartup(){};
		TDialogStartup(int aX, int aY, int aW, int aH, int OwnerX, int OwnerY, u32 aColor, TBvStyle aBevelOuter){
			GoSkip = 0;
			Init(aX, aY, aW, aH, OwnerX, OwnerY, aColor, aBevelOuter);
		}
		void Init(int aX, int aY, int aW, int aH, int OwnerX, int OwnerY, u32 aColor, TBvStyle aBevelOuter);
		void DrawSelf(void);
		void Show(void);
		void ShowSeries(char *pData);
		int CheckToShow();
		int CheckSkip();
		int CheckPasswd();
		
		void PasswdErrShow();
		TGuiMsgReturn KeyIn(unsigned char aKey);
};


#endif
